% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{pam}
\alias{pam}
\title{PAM (Partitioning Around Medoids)}
\usage{
pam(rdist, n, k, maxiter = 0L)
}
\arguments{
\item{rdist}{The distance matrix (lower triangular matrix, column wise storage)}

\item{n}{The number of observations}

\item{k}{The number of clusters to produce}

\item{maxiter}{The maximum number of iterations (default: 0)}
}
\value{
KMedoids S4 class
}
\description{
The original Partitioning Around Medoids (PAM) algorithm or k-medoids
clustering, as proposed by Kaufman and Rousseeuw; a largely equivalent method
was also proposed by Whitaker in the operations research domain, and is well
known by the name "fast interchange" there.
(Schubert and Rousseeuw, 2019)
}
\references{
L. Kaufman, P. J. Rousseeuw
"Clustering by means of Medoids"
Information Systems and Operational Research 21(2)
}
